Summary:	Scribus - Open Source Page Layout
Name:		scribus
Version:	1.5.4
Release:	1
License:	GPLv2+
Group:		Office
Url:		http://www.scribus.net/
Source0:	https://sourceforge.net/projects/scribus/files/scribus-devel/%{version}/%{name}-%{version}.tar.xz
Source1:	scribus.ru.tar.gz
Source10:	scribus.rpmlintrc
Patch0:		scribus-1.5.4-build-error.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	qt5-linguist-tools
BuildRequires:	boost-devel
BuildRequires:	cups-devel
BuildRequires:	hyphen-devel
BuildRequires:	jpeg-devel
BuildRequires:	podofo-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(zlib)
Requires:	tkinter
Requires:	ghostscript-common
Obsoletes:	%{name}-devel < 1.5.2

%description
Scribus is a desktop open source page layout program with the aim of
producing commercial grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%files
%{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_appdatadir}/scribus.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%doc %{_datadir}/doc/%{name}*

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

pushd resources/translations
tar -xvzf %{SOURCE1}
popd

# Don't add (Development) to name in program menu, it makes no sense for
# users
sed -i -e "s/ (Development)//" scribus.desktop.in

%build
%global optflags %{optflags} -std=gnu++11
%cmake_qt5 -DWANT_HUNSPELL:BOOL=ON
%make

%install
%makeinstall_std -C build

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-category='Graphics' \
	--add-category='Office' \
	%{name}.desktop

# install icons for hicolor and old WM
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,128x128}/apps
install -m 644 resources/iconsets/artwork/icon_16x16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 resources/iconsets/artwork/icon_32x32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 resources/iconsets/artwork/icon_128x128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# we do not need KDE stuff
rm -f %{buildroot}%{_datadir}/mimelnk/application/vnd.scribus.desktop

%changelog
